Package: org.grails.cli.gradle.cache

## [Groovy] Class ListReadingCachedGradleOperation<T>

- org.grails.cli.gradle.cache.ListReadingCachedGradleOperation

-     @groovy.transform.CompileStatic
      @groovy.transform.InheritConstructors
      abstract class ListReadingCachedGradleOperation<T>
      extends CachedGradleOperation<java.util.List<T>>

  A CachedGradleOperation that reads and writes a list of values

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ListReadingCachedGradleOperation ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract T` | `createListEntry(java.lang.String str)`
    `` | `java.util.List<T>` | `readFromCached(java.io.File f)`
    `` | `void` | `writeToCache(java.io.PrintWriter writer, java.util.List<T> data)`

- - ### Constructor Detail

    - #### ListReadingCachedGradleOperation()

  - ### Method Detail

    - #### protected abstract T createListEntry(java.lang.String str)

    - #### @java.lang.Override java.util.List<T> readFromCached(java.io.File f)

    - #### @java.lang.Override void writeToCache(java.io.PrintWriter writer, java.util.List<T> data)